[arch-commits] Commit in python-xmlsec/repos (2 files)
Felix Yan
felixonmars at gemini.archlinux.org
Tue Nov 30 21:13:57 UTC 2021
Date: Tuesday, November 30, 2021 @ 21:13:57
Author: felixonmars
Revision: 1058895
archrelease: copy trunk to community-staging-x86_64
Added:
python-xmlsec/repos/community-staging-x86_64/
python-xmlsec/repos/community-staging-x86_64/PKGBUILD
(from rev 1058892, python-xmlsec/trunk/PKGBUILD)
----------+
PKGBUILD | 33 +++++++++++++++++++++++++++++++++
1 file changed, 33 insertions(+)
Copied: python-xmlsec/repos/community-staging-x86_64/PKGBUILD (from rev 1058892, python-xmlsec/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD (rev 0)
+++ community-staging-x86_64/PKGBUILD 2021-11-30 21:13:57 UTC (rev 1058895)
@@ -0,0 +1,33 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=python-xmlsec
+pkgver=1.3.12
+pkgrel=2
+pkgdesc="Python bindings for the XML Security Library"
+url="https://github.com/mehcode/python-xmlsec"
+license=('MIT')
+arch=('x86_64')
+depends=('python-lxml' 'xmlsec')
+makedepends=('python-pip' 'python-pkgconfig' 'python-setuptools-scm')
+checkdepends=('python-hypothesis' 'python-pytest-runner')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/mehcode/python-xmlsec/archive/$pkgver.tar.gz")
+sha512sums=('19c5e3bf58b4b0f8a1cca3e60c08348b02ae298620f8c02b8cfb325aecf0313cb2bd1af89507b754ebe4c35af3b031e232d15ddcd42deae0821c9c0d7571aa7c')
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=$pkgver
+
+build() {
+ cd python-xmlsec-$pkgver
+ python setup.py build
+}
+
+check() {
+ cd python-xmlsec-$pkgver
+ # https://github.com/mehcode/python-xmlsec/issues/84
+ python setup.py pytest || :
+}
+
+package() {
+ cd python-xmlsec-$pkgver
+ python setup.py install --root="$pkgdir" --optimize=1
+ install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
More information about the arch-commits
mailing list